Package com.openmeet.webapp.logicLayer

# Class SettingsServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.openmeet.webapp.logicLayer.SettingsServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class SettingsServlet extends jakarta.servlet.http.HttpServlet
Servlet that handles the settings functionality.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SettingsServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doGet(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse resp)`
  Gets the settings values and displays them on the settings page.
  `protected void`
  `doPost(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse resp)`
  Updates the settings of the Moderator.

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SettingsServlet

    public SettingsServlet()

- ## Method Details

  - ### doGet

    protected void doGet(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse resp) throws jakarta.servlet.ServletException, IOException
    Gets the settings values and displays them on the settings page.
    Overrides:
      `doGet` in class `jakarta.servlet.http.HttpServlet`
    Parameters:
      `req` - The request object.
      `resp` - The response object.
    Throws:
      `jakarta.servlet.ServletException` - If an error occurs.
      `IOException` - If an error occurs.

  - ### doPost

    protected void doPost(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse resp) throws IOException
    Updates the settings of the Moderator.
    Overrides:
      `doPost` in class `jakarta.servlet.http.HttpServlet`
    Parameters:
      `req` - The request object.
      `resp` - The response object.
    Throws:
      `IOException` - If an error occurs.